Bug 619383 - Review Request: gsettings-desktop-schemas - A collection of GSettings schemas
Summary: Review Request: gsettings-desktop-schemas - A collection of GSettings schemas
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-29 12:42 UTC by Tomáš Bžatek
Modified: 2015-03-03 22:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-03 11:36:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Tomáš Bžatek 2010-07-29 12:42:20 UTC
Spec URL: http://tbzatek.fedorapeople.org/gsettings-desktop-schemas/gsettings-desktop-schemas.spec
SRPM URL: http://tbzatek.fedorapeople.org/gsettings-desktop-schemas/gsettings-desktop-schemas-0.0.1-git20100729.1.fc14.src.rpm

Description:
gsettings-desktop-schemas contains a collection of GSettings schemas for
settings shared by various components of a desktop.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2356655

Notes:
 - I've decided to use a git snapshot due to recent relicensing
 - This would be ideally a noarch package as it contains no binaries but for pkg-config we're somewhat arch dependent
 - Nominating for critical path package as long as whole future Gnome desktop will depend on it

Comment 1 Mamoru TASAKA 2010-07-29 13:02:18 UTC
(In reply to comment #0)
>  - This would be ideally a noarch package as it contains no binaries but for
> pkg-config we're somewhat arch dependent

Well, generated pkgconfig .pc file seem to have no difference
between i686 vs x86_64. Also .pc.in file only contains:
----------------------------------------------------------
prefix=@prefix@

Name: gsettings-desktop-schemas
Description: Shared GSettings schemas for the desktop, including helper headers
Version: @VERSION@
Cflags: -I@includedir@/gsettings-desktop-schemas
----------------------------------------------------------

As arch-independent pkgconfig .pc file can be put under
%_datadir/pkgconfig (e.g. xorg-x11-proto-devel), I think
this package can be noarch.

Comment 2 Tomáš Bžatek 2010-07-30 12:13:38 UTC
Thanks for the hint, pkg-config works just fine with /usr/share. 
Modified spec file and srpm are at the same location, changing to noarch.

Comment 3 Mamoru TASAKA 2010-07-30 15:53:45 UTC
Some notes:

* EVR
  - For versioning, please use "0.0.1-Y.gitXXXXXXXX%{?dist}"
    as described in the below (this versioning method is much
    safer)
    https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Post-Release_packages

* BuildRoot
  - is no longer used on Fedora (EPEL5 and below still uses, however I
    don't think this package will be imported there)
    https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

* noarch handling
  - Maybe you want to use "%configure --libdir=%{_datadir}".

* Timestamps
  - Please consider to use
-----------------------------------------------------------------------
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
-----------------------------------------------------------------------
    to keep timestamps on installed files as much as possible.
    This method usually works on Makefiles generated by recent
    autotools.

* %clean
  - %clean section is no longer needed on Fedora 13 and above
    https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
    (and I think this pakage is needed only for F-14+).

* %postun, %posttrans
  - Maybe this is better?
    http://lists.fedoraproject.org/pipermail/packaging/2010-May/007065.html
    (I don't know the current status of packaging guideline proposal
    about gsettings)

    By the way Requires(postun) or so is needed for this?

* Directory ownership issue
  - %{_datadir}/glib-2.0/schemas/ is owned by glib2 and
    it seems "Requires: glib2 (>= 2.25.x)" is needed for main
    package.

Comment 4 Tomáš Bžatek 2010-08-02 12:12:11 UTC
(In reply to comment #3)
> Some notes:
> 
> * EVR
>   - For versioning, please use "0.0.1-Y.gitXXXXXXXX%{?dist}"
>     as described in the below (this versioning method is much
>     safer)
>    
> https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Post-Release_packages
Fixed.

> * BuildRoot
>   - is no longer used on Fedora (EPEL5 and below still uses, however I
>     don't think this package will be imported there)
>     https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
Removed.

> * noarch handling
>   - Maybe you want to use "%configure --libdir=%{_datadir}".
I decided to move particular files manually since this a young gnome package and things might change a lot in the future, including some files to libdir (a change from noarch package will be needed naturally).

> * Timestamps
>   - Please consider to use
> -----------------------------------------------------------------------
> make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
> -----------------------------------------------------------------------
>     to keep timestamps on installed files as much as possible.
>     This method usually works on Makefiles generated by recent
>     autotools.
Changed.

> * %clean
>   - %clean section is no longer needed on Fedora 13 and above
>     https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
>     (and I think this pakage is needed only for F-14+).
Removed.

> * %postun, %posttrans
>   - Maybe this is better?
>     http://lists.fedoraproject.org/pipermail/packaging/2010-May/007065.html
>     (I don't know the current status of packaging guideline proposal
>     about gsettings)
Oh yes, this looks better.
 
>     By the way Requires(postun) or so is needed for this?
Added a global glib2 require, not sure if I need to explicitly add postun require.

> * Directory ownership issue
>   - %{_datadir}/glib-2.0/schemas/ is owned by glib2 and
>     it seems "Requires: glib2 (>= 2.25.x)" is needed for main
>     package.    
Same as above.

Wow, so many things in packaging guidelines changed since my last package submission. 

As a result of these changes, rpmlint now throws few more warnings, which can be safely ignored:
gsettings-desktop-schemas.src: W: no-cleaning-of-buildroot %clean
gsettings-desktop-schemas.src: W: no-buildroot-tag
gsettings-desktop-schemas.src: W: no-%clean-section


Updated files:
Spec URL: http://tbzatek.fedorapeople.org/gsettings-desktop-schemas/gsettings-desktop-schemas.spec
SRPM URL: http://tbzatek.fedorapeople.org/gsettings-desktop-schemas/gsettings-desktop-schemas-0.0.1-1.git20100729.fc14.src.rpm

Comment 5 Mamoru TASAKA 2010-08-02 13:48:38 UTC
(In reply to comment #4)
> Wow, so many things in packaging guidelines changed since my last package
> submission. 

Yeay, one aspect of active Fedora project development :)

------------------------------------------------------------
   This package (gsettings-desktop-schemas) is APPROVED
   by mtasaka
------------------------------------------------------------

Comment 6 Tomáš Bžatek 2010-08-02 14:01:32 UTC
Many thanks for the review!

New Package CVS Request
=======================
Package Name: gsettings-desktop-schemas
Short Description: A collection of GSettings schemas
Owners: tbzatek
Branches: F-14
InitialCC:

Comment 7 Kevin Fenzi 2010-08-02 16:36:53 UTC
GIT done (by process-git-requests).

Comment 8 Tomáš Bžatek 2010-08-03 11:36:29 UTC
Built in F14 and rawhide/F15:

http://koji.fedoraproject.org/koji/buildinfo?buildID=187955
http://koji.fedoraproject.org/koji/buildinfo?buildID=187954

Thanks all!

Comment 9 Mamoru TASAKA 2010-08-03 13:22:37 UTC
For F-14 please visit bodhi and submit push request.


Note You need to log in before you can comment on or make changes to this bug.